Skip to content

Observe provider-confirmed progress for one upload as a workspace administrator.

GET
/api/workspace/files/uploads/administration/{uploadSessionId}/progress
curl --request GET \
--url https://example.com/api/workspace/files/uploads/administration/example/progress \
--header 'Authorization: Bearer <token>'

Read-only; includes system-automation uploads. Unknown progress has null byte/part counts. Does not grant file access or expose provider upload identifiers, locators, ETags or URLs.

uploadSessionId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Administrative point observation of one upload; it does not grant content access.

object
UploadSessionId

Exact physical upload session being observed.

string
nullable
SourceFunctionRunId

Server-recorded source function run, if any.

string
nullable
SourceJobId

Queued Job associated with the recorded source run, if any.

string
nullable
Status
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12
DeclaredSizeBytes

Expected complete body size; not evidence of transferred bytes.

integer format: int64
Observation
integer format: int32
Allowed values: 0 1 2 3 4
ProviderConfirmedBytes

Bytes in confirmed parts; null when observation is unavailable.

integer format: int64
nullable
ProviderConfirmedPartCount

Number of confirmed parts; null when observation is unavailable.

integer format: int32
nullable
ObservedAtUtc

Time of this observation; reading does not renew upload activity or expiry.

string format: date-time
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Status": 0,
"Observation": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Administrative point observation of one upload; it does not grant content access.

object
UploadSessionId

Exact physical upload session being observed.

string
nullable
SourceFunctionRunId

Server-recorded source function run, if any.

string
nullable
SourceJobId

Queued Job associated with the recorded source run, if any.

string
nullable
Status
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12
DeclaredSizeBytes

Expected complete body size; not evidence of transferred bytes.

integer format: int64
Observation
integer format: int32
Allowed values: 0 1 2 3 4
ProviderConfirmedBytes

Bytes in confirmed parts; null when observation is unavailable.

integer format: int64
nullable
ProviderConfirmedPartCount

Number of confirmed parts; null when observation is unavailable.

integer format: int32
nullable
ObservedAtUtc

Time of this observation; reading does not renew upload activity or expiry.

string format: date-time
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Status": 0,
"Observation": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}